<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 17</a>

    <script>

        const sumaContiguaMax = (a , size) => {

            let max_so_far = Number.MIN_VALUE, max_ending_here = 0, start = 0, end = 0, s = 0;
 
            for (i = 0; i < size; i++) {
                max_ending_here += a[i];
 
                if (max_so_far < max_ending_here) {
                    max_so_far = max_ending_here;
                    start = s;
                    end = i;
                }
 
                if (max_ending_here < 0) {
                    max_ending_here = 0;
                    s = i + 1;
                }
            }

            console.log(`Suma maxima contigua:  ${max_so_far}`);
        }
     
        var a = [2, -8, 3, -2, 4, -10];
        var n = a.length;
        sumaContiguaMax(a, n);   

</script>
    
</body>
</html>